<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- params: proc: the requestedProcedure to display
                       editSPSDates: enable the user to edit the start date/time of steps
                       editModality: enable the user to edit the modality -->
    <ui:decorate template="/layout/panels/_panel_title.xhtml">
        <ui:define name="panel_title">#{messages['gazelle.ordermanager.OrderDetails']}</ui:define>
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.PlacerOrderNumber']}</ui:define>
                <h:outputText value="#{proc.order.placerOrderNumber}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber']}</ui:define>
                <h:outputText value="#{proc.order.fillerOrderNumber}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.UniversalServiceID_2']}</ui:define>
                <h:outputText value="#{proc.order.universalServiceId}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.AccessionNumber']}</ui:define>
                <h:outputText value="#{proc.order.accessionNumber}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.OrderDetails']}</ui:define>
                <a4j:commandLink action="#{orderBrowser.getPermanentLink(proc.domain, proc.order.id)}"
                                 value="#{messages['gazelle.ordermanager.PermanentLink_2']}" target="_blank"/>
            </s:decorate>
        </dl>
    </ui:decorate>
    <ui:decorate template="/layout/panels/_panel_title.xhtml">
        <ui:define name="panel_title">#{messages['gazelle.ordermanager.RequestedProcedure']}</ui:define>
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.Code']}</ui:define>
                <h:outputText value="#{proc.code}"/>
                <h:outputText value=" - #{proc.codeMeaning}" rendered="#{not empty proc.codeMeaning}"/>
                <h:outputText value=" (#{proc.codingScheme})" rendered="#{not empty proc.codingScheme}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty proc.description}">
                <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                <h:outputText value="#{proc.description}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.StudyInstanceUID_2']}</ui:define>
                <h:outputText value="#{proc.studyInstanceUID}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.RequestedProcedureID']}</ui:define>
                <h:outputText value="#{proc.requestedProcedureID}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"  rendered="#{not editSPSDates}">
                <ui:define name="label">#{messages['gazelle.ordermanager.AdmittingDiagnosis']}</ui:define>
                <h:outputText value="#{valueSet.getDisplayNameForCode('ADMITTING_DIAG', proc.admittingDiagnosticCode)}"/>
            </s:decorate>
        </dl>
        <s:div styleClass="form-horizontal" rendered="#{editSPSDates}">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="admDiag"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.AdmittingDiagnosis']}</ui:define>
                <h:selectOneMenu value="#{proc.admittingDiagnosticCode}" id="admDiag" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('ADMITTING_DIAG')}"/>
                </h:selectOneMenu>
            </s:decorate>

        </s:div>
    </ui:decorate>
    <div class="row">
        <a4j:repeat value="#{proc.scheduledProcedureSteps}" var="sps">
            <div class="col-lg-4">
                <gri:panel pid="sps_#{sps.id}">
                    <f:facet name="header">
                        <h:outputText value="#{messages['gazelle.ordermanager.ScheduledProcedureStep']} ##{sps.scheduledProcedureID}"/>
                        <span style="width:10px"/>
                        <a4j:commandLink title="#{messages['gazelle.ordermanager.CreateWorklistForThisStep']}"
                                         actionListener="#{worklistEntryCreator.selectScheduledProcedureStep(sps)}"
                                         rendered="#{displayCreateWorklistButton and worklistEntryCreator.selectedRequestedProcedure.id != null}"
                                         render="globalDiv">
                            <span class="fa fa-th-list gzl-text-blue"/>
                        </a4j:commandLink>
                    </f:facet>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                            <h:outputText value="#{sps.spsDescription}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{not editModality or sps.modality != null}">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Modality']}</ui:define>
                            <h:outputText value="#{sps.modality}"/>
                        </s:decorate>
                    </dl>
                    <s:decorate template="/layout/form/_edit.xhtml" rendered="#{editModality and sps.modality == null}">
                        <ui:param name="id" value="mod"/>
                        <ui:define name="label">#{messages['gazelle.ordermanager.Modality']}</ui:define>
                        <h:selectOneMenu value="#{sps.modality}" id="mod" styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('modality')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not editSPSDates}">
                            <ui:define name="label">#{messages['gazelle.ordermanager.StartDateTime']}</ui:define>
                            <g:date value="#{sps.spsStartDateTime}"/>
                        </s:decorate>
                    </dl>
                    <s:decorate template="/layout/form/_edit.xhtml" rendered="#{editSPSDates}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.StartDateTime']}</ui:define>
                        <ui:param name="id" value="startDateTimeCalendar"/>
                        <a4j:outputPanel id="startDateTimeCalendar" layout="block">
                            <rich:calendar value="#{sps.spsStartDateTime}" locale="#{localeSelector.localeString}"
                                           datePattern="dd/MM/yyyy HH:mm" showApplyButton="true" style="width:200px"
                                           required="true">
                            </rich:calendar>
                        </a4j:outputPanel>
                    </s:decorate>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ProtocolItems_3']})</ui:define>
                            <rich:list value="#{sps.protocolItems}" var="protocol" type="unordered">
                                <h:outputText
                                        value="#{protocol.protocolCode} - #{protocol.protocolCodeMeaning} (#{protocol.codingScheme})"/>
                            </rich:list>
                        </s:decorate>
                    </dl>
                </gri:panel>
            </div>
        </a4j:repeat>
    </div>
</ui:composition>
